networking-bagpipe (16.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:22:51 -0400

networking-bagpipe (15.0.0+git2021120816.8a8279a-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 16:42:12 -0500

networking-bagpipe (15.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 09:43:56 -0400

networking-bagpipe (14.0.0+git2021090912.c833a97-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:47:24 -0400

networking-bagpipe (14.0.0+git2021061112.d750685-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:50 +0000

networking-bagpipe (14.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:11 +0000

networking-bagpipe (14.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 14.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 10:56:47 -0400

networking-bagpipe (13.0.0+git2020121014.c3d06f5-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 14:36:16 +0000

networking-bagpipe (13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:25:21 -0400

networking-bagpipe (13.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 13.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:22:06 -0400

networking-bagpipe (13.0.0~b2~git2020073014.e5ffadc-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:53:22 -0400

networking-bagpipe (12.0.1~git2020070613.d27919f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:58:43 -0400

networking-bagpipe (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:52:15 -0400

networking-bagpipe (12.0.0~b3~git2020041013.c15d5e0-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:17:36 -0400

networking-bagpipe (12.0.0~b3~git2020032508.4677785-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:01:15 +0000

networking-bagpipe (12.0.0~b2~git2020020712.f0c6cc4-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 13:15:24 +0100

networking-bagpipe (12.0.0~b1~git2019121615.410cbb0-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 16:54:26 +0100

networking-bagpipe (11.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:12:53 +0100

networking-bagpipe (11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 11.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:28:46 +0100

networking-bagpipe (11.0.0~b2~git2019080116.f8139b0-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 01 Aug 2019 16:39:24 +0200

networking-bagpipe (11.0.0~b1~git2019061323.16151fc-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 13:38:01 +0100

networking-bagpipe (10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:38:36 +0100

networking-bagpipe (10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:34 +0000

networking-bagpipe (10.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Switch to tracking 10.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 09:44:22 +0000

networking-bagpipe (10.0.0~b1~git2019013127.78d78db-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:33:03 +0000

networking-bagpipe (10.0.0~b1~git2019013016.78d78db-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:07:51 -0500

networking-bagpipe (10.0.0~b1~git2018111646.21df6d5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:05:14 +0000

networking-bagpipe (9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:25:20 -0400

networking-bagpipe (9.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/*.postrm,postinst,prerm: Drop neutron-bagpipe-linuxbridge-agent
    from alternatives management as its been dropped upstream.
  * d/control: Drop duplicate BD's.
  * d/copyright: Tidy.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Aug 2018 09:25:51 +0100

networking-bagpipe (9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:37:05 -0400

networking-bagpipe (9.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:43:02 -0400

networking-bagpipe (9.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for py3, add -common and python3- pkgs.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/rules: Directly generate sample config files.
    - d/python{3}-networking-bagpipe.*: Install entry points as
      alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Jun 2018 10:39:48 +0100

networking-bagpipe (9.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to Rocky series.
  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:03:02 +0100

networking-bagpipe (8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:46:48 +0000

networking-bagpipe (8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.
  * d/control: Add (Build-)Depend on networking-sfc.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:18 +0000

networking-bagpipe (8.0.0~b3-0ubuntu3) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.blockdiag/seqdiag.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 13:58:36 -0500

networking-bagpipe (8.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/rules: Re-enable tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 13:04:48 -0500

networking-bagpipe (8.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Added python-networking-bgpvpn and opened bug for missing
    dependency: https://bugs.launchpad.net/networking-bagpipe/+bug/1745673.
  * d/rules: Temporarily disable tests due to circular dependency in
    networking-bgpvpn.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 14:19:55 -0500

networking-bagpipe (8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 15:35:32 +0000

networking-bagpipe (7.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:55:51 -0400

networking-bagpipe (7.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:18:55 -0400

networking-bagpipe (7.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:27:01 -0400

networking-bagpipe (7.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 13:19:37 -0400

networking-bagpipe (7.0.0~b2-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * Add python-exabgp to (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:34:04 +0100

networking-bagpipe (6.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 13:11:02 -0500
